DiseaseWeederHealer = {}

function DiseaseWeederHealer.prerequisitesPresent(specs)
    return SpecializationUtil.hasSpecialization(Weeder, specs)
end

function DiseaseWeederHealer.initSpecialization() end

function DiseaseWeederHealer.registerEventListeners(vehicleType)
    SpecializationUtil.registerEventListener(vehicleType, "onEndWorkAreaProcessing", DiseaseWeederHealer)
end

function DiseaseWeederHealer:onEndWorkAreaProcessing(dt, hasProcessed)
    DiseaseCareUtil.handleCareAction(self, "weeder", self.spec_weeder, hasProcessed)
end
